pg_dbname
pg_end_copy
PostgreSQL Functions
PHP Manual

# pg_delete

Deletes records

### Description

mixed pg_delete ( resource `$connection` , string `$table_name` , array `$assoc_array` [, int `$options` = PGSQL_DML_EXEC ] )

pg_delete deletes records from a table specified by the keys and values in `assoc_array`. If `options` is specified, pg_convert is applied to `assoc_array` with the specified options.

### Parameters

`connection`

  PostgreSQL database connection resource.

`table_name`

  Name of the table from which to delete rows.

`assoc_array`

  An array whose keys are field names in the table `table_name`, and whose values are the values of those fields that are to be deleted.

`options`

  Any number of `PGSQL_CONV_FORCE_NULL`, `PGSQL_DML_NO_CONV`, `PGSQL_DML_EXEC` or `PGSQL_DML_STRING` combined. If `PGSQL_DML_STRING` is part of the `options` then query string is returned.

### Return Values

Returns `TRUE` on success or `FALSE` on failure. Returns string if `PGSQL_DML_STRING` is passed via `options`.

### Examples

Example #1 pg_delete example

`<?php
$db = pg_connect('dbname=foo');
// This is safe, since $_POST is converted automatically
$res = pg_delete($db, 'post_log', $_POST);
if ($res) {
echo "POST data is deleted: $res\n";
} else {
echo "User must have sent wrong inputs\n";
}
?>`
Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

### Changelog

Version | Description
--- | ---
5.5.3/5.4.19 | Direct SQL injection to `table_name` and Indirect SQL injection to identifiers are fixed.

### See Also

- pg_convert